Bug 70135 - --querytags gives unknown tag AG_RSA
Summary: --querytags gives unknown tag AG_RSA
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-30 17:47 UTC by Edward J. Huff
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-30 17:47:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Edward J. Huff 2002-07-30 17:47:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
rpm --querytags | grep AG_RSA
rpm -q --qf "%{NAME} AG_RSA %{AG_RSA}\n" openssl
error: incorrect format: unknown tag


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --querytags | grep AG_RSA
2.rpm -q --qf "%{NAME} AG_RSA %{AG_RSA}\n" openssl
3.
	

Actual Results:  error: incorrect format: unknown tag


Expected Results:  rpm --qf should recognize all tags listed by rpm --querytags

This should be in the regression tests.

for tag in `rpm --querytags` ; do
rpm -q --qf "%{NAME} $tag %{$tag}\n" openssl > /dev/null
done
Additional info:

Comment 1 Jeff Johnson 2002-07-31 13:13:29 UTC
Regression tests for --querytags? Surely you jest ...

A regex misfired on an automatically generated table.
Fixed in rpm-4.1-0.60 when built.


Note You need to log in before you can comment on or make changes to this bug.